NW Continuing Education Tech Specs

Min System Requirements/Device Specs and Deployment Plans

Based of the NWCS Technology survey sent to parents, we have prepared a limited number of devices and paper resources for the scheduled deployment dates for pick up.




The majority of home devices can be used to access the online educational platforms listed below. If you have any questions about any of the information below, please refer to our website at www.nwschools.org/continuouslearning for resources.

SeeSaw Technology Requirements

Seesaw


The Seesaw Class and Family apps are available on iOS, Android, and Kindle Fire devices. You can also use Seesaw on the web using a computer or Chromebook via a Chrome, Firefox, or Edge browser.


Seesaw Class App and Website for Students and Teachers

iOS: iOS 10.3 and newer

**Please note, the Seesaw app can be used on iOS 9 with more limited features including use of our pervious version of creative tools, student journals and messaging. For the latest updates, please use iOS 10.3 or newer.


Android: Lollipop (API 22) and newer. Check which Android OS you are using.

Kindle: Kindle Fire HD devices running Android Lollipop (API 22) and newer. Here's how to find out what Kindle you have.


Web Browsers:

  • Chrome: Version 68 and newer
  • Firefox: Version 66 or newer
  • Edge
  • Safari: Version 11 and newer **Draw + Record is not supported

Google Classroom Requirements

Google Classroom


Browsers


Google Drive, Docs, Sheets, Slides, and Forms work with the 2 most recent versions of the following browsers (unless specified otherwise). Make sure cookies and JavaScript are turned on for your browser.

Other browsers may work, but you might not be able to use all of the features.


Android


Check which version of Android you're using

  1. On your Android phone or tablet, tap Settings System About phone or About tablet.
  2. Under "Android Version," you can see which version you have.



iPhone/iPad/iPod


To use the latest Google Drive app, you'll need iOS 11 or up.

To use the latest Google Docs, Sheets, and Slides apps, you'll need iOS 11 or up.

Check which version of iOS you're using

  1. On your iPhone or iPad, open Settings.
  2. Tap General About.
  3. Next to "Version," you'll see which version of iOS you're using.